# gzdecode

(PHP 5 >= 5.4.0, PHP 7)

gzdecode — Decodes a gzip compressed string

### Description

gzdecode ( string `$data` [, int `$length` ] ) : string

This function returns a decoded version of the input `data`.

### Parameters

`data`

  The data to decode, encoded by gzencode().

`length`

  The maximum length of data to decode.

### Return Values

The decoded string, or `FALSE` if an error occurred.

### See Also

- gzencode() - Create a gzip compressed string